Subject: bug#17026: 25.0.50; struct selection_input_event data might be corrupted by assignments as another structure type

From: Paul Eggert <[email-masked]>
Date: Tue, 23 Jun 2015 16:44:26 -0700

Thanks for tracking down and diagnosing this bug.  I've installed a patch as 
commit 1552e6737317ea2c85e06600e178114c6b0f9fb2 in emacs master; can you please 
try it in your environment?

It's possible, I suppose, that this fix will affect Bug#13486 and Bug#17026 
(merged with Bug#16737, Bug#17101, Bug#17172, Bug#19320, Bug#20283).  Ideally 
those bugs would go away too, though this is a shot in the dark.  Anyway, I'll 
CC: to those bug reports to give their followers a heads-up.